<?php

namespace App\Exceptions;

use Exception;

class DataException extends Exception
{
    public function __construct(string $message = "", private mixed $data = '')
    {
        parent::__construct($message);
    }

    public function getData()
    {
        return $this->data ?: '';
    }
}
